org.eclipse.net4j.util.container

## Class ContainerUtil

- java.lang.Object
- - org.eclipse.net4j.util.container.ContainerUtil

-     public final class ContainerUtil
      extends java.lang.Object

  Various static helper methods for dealing with `containers`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IManagedContainer` | `createContainer()`
    `static IManagedContainer` | `createPluginContainer()` Creates a new managed container that discovers factory and element processor registrations in plug-in extensions.
    `static IContainer<java.lang.Object>` | `emptyContainer()`
    `static java.lang.Object[]` | `getElements(java.lang.Object container)`
    `static boolean` | `isEmpty(java.lang.Object container)`
    `static void` | `prepareContainer(IManagedContainer container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### prepareContainer

          public static void prepareContainer(IManagedContainer container)

      Since:
        2.0

    - #### emptyContainer

          public static IContainer<java.lang.Object> emptyContainer()

    - #### createContainer

          public static IManagedContainer createContainer()

    - #### isEmpty

          public static boolean isEmpty(java.lang.Object container)

    - #### getElements

          public static java.lang.Object[] getElements(java.lang.Object container)

    - #### createPluginContainer

          public static IManagedContainer createPluginContainer()

      Creates a new managed container that discovers factory and element processor registrations in plug-in extensions.
      Since:
        3.3

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html